GEONATURE_CITIZEN_TAG = 0.99.1-dev
.PHONY: start init dev

all:
	echo "please specify target"

dev: init
	docker-compose up -d
	docker-compose exec citizen install/install_app.sh
	xdg-open http://localhost:8080

init: vendor/GeoNature-citizen
	git submodule update --init --recursive

vendor/GeoNature-citizen:
	-mkdir -p vendor
	git submodule add https://github.com/Champs-Libres/GeoNature-citizen.git vendor/GeoNature-citizen
	git commit -m "added submodule GeoNature-citizen"
	#cd $@ && git checkout $(GEONATURE_CITIZEN_TAG)

doc:
	cd vendor/GeoNature-citizen/docs && make html
	xdg-open $(shell pwd)/vendor/GeoNature-citizen/docs/_build/html/index.html

clean:
	docker stop biommap_citizen
	docker rm biommap_citien
	docker inspect -f '{{ .Mounts }}' biommap_citizen_1
	docker volume prune
